%define module	poppler-qt5

Name:		python-%{module}
Version:	21.1.0
Release:	%mkrel 2
Summary:	Python binding to Poppler-Qt5 C++ library
Group:		Development/Python
License:	LGPLv2+
# https://github.com/frescobaldi/python-poppler-qt5
URL:		https://pypi.org/project/python-poppler-qt5/
Source0:	https://pypi.io/packages/source/p/python-poppler-qt5/%{name}-%{version}.tar.xz
Patch1:		%{name}-0.24.2-python3-sip.patch
Patch2:		40e71ad88173d02648bceb2438bc0567e60dacd5.patch
Patch3:		linking.patch
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-qt5-devel
BuildRequires:  python-sip6
BuildRequires:  python3-pyqt-builder

%description
Python bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python and using Poppler set.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to Poppler-Qt5 C++ library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Python 3 bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python 3 and using Poppler set.

#------------------------------------------------

%package -n python3-%{module}-qsci-api
Summary:        Python 3 bindings for PyQt 5 poppler Qscintilla API
Group:          Development/Python

%description -n python3-%{module}-qsci-api
Python 3 bindings for PyQt 5 purchasing Qscintilla API.

%files -n python3-%{module}-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/python-poppler-qt5.api

#------------------------------------------------


%prep
%setup -q
%apply_patches

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"

### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build -C build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/*.so ; do
test -x $i  || chmod a+rx $i
done

%files -n python3-%{module}
%{python3_sitearch}/popplerqt5.*.so
%{python3_sitearch}/PyQt5/bindings/popplerqt5
%{python3_sitearch}/python_poppler_qt5-%{version}.dist-info


%changelog
* Tue Sep 20 2022 tex - 21.1.0-2pclos2022
- rebuild against updates

* Wed Aug 03 2022 tex - 21.1.0-1plos2022
- new version
- build against sip6
